# bm2dnix Helper Scripts

This repo may seem erratic with no documentation whatsoever. This is a collection of python & shell scripts to assist with the following:
- Wineprefix setup
- Proton patches/setup
- Automated configuration & launching for various titles (for running titles with varying requirements)
- Converting Wine stack traces for debugging
- Wrappers for special Wineprefix environments *(no longer maintained)*

## s3p_to_2dx

*This script is currently in its proof of concept stage. Please examine it before trying to run it, I reccommend copying your sound data elsewhere and running the script in there.*

Helper script to convert .s3p .wma containers to .2dx .wav containers. Needed for songs in 25+ to play properly without *disable-fx* patches applied. This script can be run on game updates/deltas, or directly in the games sound directory.

Dependencies:
- bash
- ffmpeg
- [ifstools](https://github.com/mon/ifstools)
- [2dxTools](https://github.com/mon/2dxTools)
- [s3p_extract](https://github.com/mon/s3p_extract) (Thank you mon/xyen!)

Usage:
- This script assumes external dependencies are registered to $PATH by default
- Binary directories must be specified in command-line arguments otherwise
- `./s3p_to_2dx -s </path/to/sound/dir> -e </path/to/s3p_extract> -b </path/to/2dxBuild> -i </path/to/ifstools> -f </path/to/ffmpeg>`

## bm2dnix

This tool supports launching IIDX by chainloading bm2dnix -> ep_protonnix -> proton/proton-ge -> spicetools. This script expects things to be located in Steam directories

Usage:
- See the help command for examples and usage
- `bm2dnix --help`

## etc

You don't have to use anything from this repo to get games running as these are just there to make process feel more seamless.                
